#include "include/flutter_zsdk/flutter_zsdk_plugin_c_api.h"

#include <flutter/plugin_registrar_windows.h>

#include "flutter_zsdk_plugin.h"

void FlutterZsdkPluginCApiRegisterWithRegistrar(
    FlutterDesktopPluginRegistrarRef registrar) {
  flutter_zsdk::FlutterZsdkPlugin::RegisterWithRegistrar(
      flutter::PluginRegistrarManager::GetInstance()
          ->GetRegistrar<flutter::PluginRegistrarWindows>(registrar));
}
